@import 'https://fonts.googleapis.com/css?family=Open+Sans|Archivo+Black';
@import 'dist/jquery.fancybox.css';
@import 'menu.css';

/* CORE STYLES */
:root {
    --alternate: #006BB3;
    --white: #fff;
    --grey: #444;
    --lightergrey: #efefef;
    --lightblue: #81B4FC;
	--misty: rgba(255, 255, 255, 0.7);
	--black: #000;
    --trans: rgba(0, 107, 179,0.9);
    --red: #ED1C24;
    --transred: rgba(237, 28, 36, 0.9)
  }

body{
    background-color: var(--white);
    margin: 0; 
    font-family:  'Open Sans', sans-serif, sans;
}
a{
    text-decoration: none;
}
img{
    max-width: 100%; 
}
input, textarea, select {
	font-family:"Open Sans", Calibri, "Trebuchet MS", Arial, Helvetica, sans-serif, Sans;
	font-size: 15px;
	padding: 7px;
	background-color: #fff;
	background-color: var(--white);
	border: 2px solid var(--grey);
	max-width: 100%;
}
p, 
main ul, 
h2, 
h3, 
h4{
    max-width: 760px;
    margin-inline: auto;
}
table {
	width: 100%;
	border-collapse: collapse;
}
td {
	padding: 5px 1vw 5px 5px;
	vertical-align: top;
}
th{
    padding: 5px 1vw 5px 5px;
	vertical-align: top;
    text-align: left;   
    background-color: var(--alternate);
    color: var(--white);
}
header{
    background-color: var(--white);
}

header{
    display: grid;
    padding: 1rem; 
    gap: 1rem; 
    color: var(--grey); 

}
header h1{
    color: var(--alternate); 
    text-transform: uppercase;
    font-family: "Archivo Black";
    margin: 0; 
    font-size: 2.5rem;
}
header p{
    margin: 0;
}
header img{
    width: 100px; 
}
header div{
    text-align: center; 
    justify-content: center;
    align-content: center;
    display: grid;
}
header a{
    color: var(--grey); 
}
header a:hover{
    color: var(--alternate); 
}
main{
    background-color: var(--white);
    color: var(--grey);
    line-height: 1.7;
    margin-block: 2rem;
}
main a{
    color:var(--grey);
}
main p a,
main ul a{
    border-bottom: 1px dashed var(--grey);
    transition: 0.3s;
}
main p a:hover,
main ul a:hover{
    border-bottom: 1px solid var(--black);
    color: var(--alternate); 
}
main > div.text{
    padding: 2rem 3rem;
}
main h1, 
main h2,
main h3,
main h4,
.cards h4{
    font-weight: normal;
}
footer{
    margin-block: 2rem;
    background-color: var(--trans);
    color: var(--white); 
}
footer{
    padding:  3rem;
    line-height: 1.7;
}
footer a{
    color: var(--white);
}
footer .social img{
    width: 40px;
    margin: 10px;
}
.adventure{
    min-height: 400px;
    background-size: cover;
    background-position: center center;
}
.page{
    min-height: 600px;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}
.page.contain{
    background-size: contain;
    min-height: 300px;
    background-color: var(--lightergrey);
}
.adventure h3{
    color: var(--white); 
    font-size: 50px; 
    margin: 0 0 0 auto; 
    padding: 3vw;
    text-align: right;
    max-width: 450px; 
    text-shadow: 2px 2px 10px rgba(0,0,0,0.8); 
    text-transform: uppercase;
    font-family: "Archivo Black"; 
}
.cards{
    display: grid;
    gap: 2rem; 
    color: var(--grey);
}
.cards > div{
    background-color: var(--white);
    display: grid; 
    height: 100%;
}
.cards a{
    color: var(--grey); 
}
.cards h4{
    text-align: center; 
    font-size: 20px;
    line-height: 20px; 
    /* font-family: "Archivo Black";
    text-transform: uppercase;
    color: var(--alternate);  */
}
.cards img{
    display: block;
    margin: auto; 
}
.cards p{
    padding-inline: 1rem;
}
/* main div td{
	border-bottom: 1px solid #eee;
    text-align: center; 
} */
#form tr:nth-child(odd),
.text tr:nth-child(odd){
    background-color: #f0f0f0 !important;
}
#form tr:nth-child(even),
.text tr:nth-child(even) {
    background-color: #fff !important;
}

.bio{
    display: flex;
    margin-block: 20px;
    flex-wrap: wrap;
}
.bio div:first-of-type{
    flex: 1 1 150px;
    text-align: center;
}
.bio div:nth-of-type(2){
    flex: 1 1 700px;
}
.bio.courses img{
    aspect-ratio: 5 / 4;
}
.bio h2,
.courses h2{
    margin-top: 0;
}
.bio h3,
.courses h3{
    font-size: 1rem;
    font-weight: bold;
}
.bio > div,
.courses > div,
.picturegrid > div,
.downloads {
    background-color: var(--lightergrey);
    padding: 1rem;
}
.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}
.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}
.courses{
    display: grid;
    margin-block: 20px;

}
.courses a:hover,
.bio a:hover{
    color: var(--alternate);

}
.grid{
    display: grid;
	background-color: var(--white);
}
.picturegrid{
	gap: 1rem;
    margin-block: 1rem;
}
.picturegrid > div{
	overflow: hidden;  
	text-align: center;
    display: grid; 
    min-height: 300px; 
}
.picturegrid p{
    padding-block: 0;
    margin-block-start: 0;
    margin-block-end: 1em;
}
.picturegrid > div.contain img{
    object-fit: contain;
}
#map {
	height: 600px;
	max-height: 80vh;
}
.downloads{
    margin-block: 20px;
}


@media only screen and ( min-width: 800px ) {
    body{
        background-image: url('images/diving.webp');
        background-size: cover;
        background-position: center center;
        background-color: var(--white);
        background-attachment: fixed;
    }
    header{
        grid-template-columns: 1fr 2fr 1fr ;
    }
    input, textarea, select {
		font-family: "Open Sans", Calibri, "Trebuchet MS", Arial, Helvetica, sans-serif, Sans;
		font-size: 15px;
		border-radius: 5px;
		padding: 7px;
		background-color: var(--white);
		color:var(--grey);
	} 

    footer{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 2rem;
    }
    footer .social{
        text-align: right;
    }
    /* footer .social img {
        filter: drop-shadow(5px 5px 10px #222);
    } */
    .container > div.navigation,
    .container > header,
    .container > main,
    .container > footer,
    .container > .cards > div{
        box-shadow:  2px 2px 10px 10px rgba(0,0,0,0.3); 
        border-radius: 3px; 
    }
    .container > div.navigation{
        border-radius: 13px 13px 0 0;
    }
    .container > footer{
        border-radius: 3px 3px 13px 13px ;
    }
    .container > header{
        border-radius: 0 0 3px 3px;
    }
    .cards {
        grid-template-columns: 1fr 1fr;
    }
    .cards p{
        font-size: 0.9rem; 
        -webkit-line-clamp: 5;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        overflow: hidden;
    }
    .cards img{
        /* aspect-ratio: 5/4;
        object-fit: cover; */
        width: 100%;
        height: 100%;
    }
    .cards.front{
        grid-template-columns: auto;
    }
    .cards.front img{
        aspect-ratio: 2.5;
        object-fit: cover;
    }
    .picturegrid{
        grid-template-columns: 1fr 1fr 1fr;
    }
    .tube{
        margin: auto; 
        display: grid;
        align-items: center;
        justify-content: center;
        position: relative;
    }
    .tube button{
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        color: white;
        font-size: 20px;
        border: none;
        cursor: pointer;
        border-radius: 5px;
        text-align: center;
        display: grid;
        align-items: center ;
        justify-content: center;
        width: 100%;
        background-color: transparent;
        pointer-events: none;
    }
    .tube button a{
        background-color: var(--transred);
        display: block;
        color: var(--white); 
        padding: 12px 24px;
        border-radius: 5px;
        pointer-events: auto;
    }
    .tube button a:hover{
        background-color: var(--alternate);
    }
    .picturegrid img{
        object-fit: cover;
        /* aspect-ratio: 3/2; */
        height: 200px; 
    }
}


@media only screen and ( min-width: 1024px ) {
    .container{
        max-width: min(1200px,95%); 
        margin: auto;
    }
    .cards {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    .cards:not(.front) > div{
        grid-template-rows: 1fr 3fr 3fr 1fr;
    }
    .bio, 
    .courses,
    .picturegrid{
        gap: 20px; 
    }
    .bio > div, 
    .courses > div,
    .picturegrid > div{
        /* box-shadow:  2px 2px 12px 2px rgba(0,0,0,0.2);  */
        border-radius: 3px; 
    }
    .courses{
        grid-template-columns: 1fr 1fr 1fr;
    }
}


@media only screen and ( max-width:799px ) {
    :root {
        --trans: #006BB3;
      }
    main > div.text,
    footer{
        padding: 2rem 1rem;
    }
    .adventure h3{
        font-size: 40px; 
    }
    .cards > div{
        background-color: var(--alternate);
        color: var(--white); 
    }
    .cards > div a{
        color: var(--white);  
    }
    .cards h4{
        color: var(--white); 
    }
    h1, h2, h3, h4{
    overflow-wrap: break-word;
    word-wrap: break-word;
    word-break: break-all;
    word-break: break-word;
    hyphens: auto;   
}
}